package cn.hanghui.outapi.platform.alipay.service;

import cn.hanghui.outapi.platform.alipay.entity.dto.AlipayUserInfoReqDto;
import cn.hanghui.outapi.platform.alipay.entity.param.AlipayUserInfo;


public interface AlipayFaceAuthService {

    /**
     * 获取支付宝用户信息
     *
     * @param alipayUserInfoReqDto AlipayUserInfoReqDto
     * @return AlipayUserInfo
     */
    AlipayUserInfo getAlipayUserInfo(AlipayUserInfoReqDto alipayUserInfoReqDto);

    /**
     * isv三方授权回调
     *
     * @param appId
     * @param appAuthCode
     */
    void authIsvCallback(String appId, String appAuthCode);

    /**
     * 三方支付宝小程序
     *
     * @param alipayUserInfoReqDto
     * @return
     */
    AlipayUserInfo getCommonAlipayUserInfo(AlipayUserInfoReqDto alipayUserInfoReqDto);

    /**
     * 获取支付宝用户信息
     *
     * @param alipayUserInfoReqDto
     * @return
     */
    AlipayUserInfo queryCommonUserInfo(AlipayUserInfoReqDto alipayUserInfoReqDto);


}
