package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.RiskPcDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.RiskPcVo;
import cn.hanghui.outapi.platform.tenant.entity.dto.open.RecurrentPopulationRequestDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.open.UserInfoRequest;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.service
 * @class OpenApiService
 * @date 2024/2/29 下午1:58
 * @description
 */
public interface OpenApiService {

    /**
     * 自然人风险查询
     *
     * @param dto
     * @return
     */
    RestResult<RiskPcVo> queryRisk(RiskPcDto dto);

    /**
     * 流动人口自主申报
     *
     * @param dto
     * @return
     */
    RestResult recurrentPopulation(RecurrentPopulationRequestDto dto);

    /**
     * 查询用户基本信息
     *
     * @param req
     * @return
     */
    RestResult queryUserInfo(UserInfoRequest req);

    /**
     * 查询用户基本信息 异步callback
     *
     * @param req
     * @return
     */
    RestResult queryUserInfoAsync(UserInfoRequest req);

}
